curl
curl -sS "https://gateway.orbit/api/v1/gateway/releases" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"release": "<string>",
"sha": "<string>",
"requested": "<string>",
"trigger": "<string>",
"force": true,
"outcome": "<string>",
"finished": true,
"migrations_ran": true,
"retryable": true,
"cleanup_paused": true,
"snapshot": "<string>",
"previous": "<string>",
"phases": {},
"error_code": "<string>",
"message": "<string>",
"duration_ms": 123,
"alert": {},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Gateway
gateway:release:list
Lists the 50 newest Gateway release records, newest first, including queued and running ones.
GET
/
api
/
v1
/
gateway
/
releases
curl
curl -sS "https://gateway.orbit/api/v1/gateway/releases" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"id": 123,
"release": "<string>",
"sha": "<string>",
"requested": "<string>",
"trigger": "<string>",
"force": true,
"outcome": "<string>",
"finished": true,
"migrations_ran": true,
"retryable": true,
"cleanup_paused": true,
"snapshot": "<string>",
"previous": "<string>",
"phases": {},
"error_code": "<string>",
"message": "<string>",
"duration_ms": 123,
"alert": {},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}